> For the complete documentation index, see [llms.txt](https://docs.ventiapp.mx/ventiapp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ventiapp.mx/ventiapp/english-api/developers/api/productos.md).

# Products

## Add Product

<mark style="color:green;">`POST`</mark> `https://ventiapi.azurewebsites.net/api/product/addproduct`

This method is used to create a base product in Ventiapp. If the required fields are not available, the service will throw an error.

#### Headers

| Name           | Type   | Description    |
| -------------- | ------ | -------------- |
| Authentication | string | Bearer + token |

#### Request Body

| Name             | Type    | Description                                                                                                 |
| ---------------- | ------- | ----------------------------------------------------------------------------------------------------------- |
| SKU              | string  | SKU Identificador del producto, este ID es requerido. Si no lo tiene, se recomienda que sea el ID de su ERP |
| title            | string  | Título del producto                                                                                         |
| price            | number  | Precio base del producto, este se utiliza cuando se genera una nueva publicación                            |
| weight           | number  | Peso del producto en gramos                                                                                 |
| height           | number  | Alto del producto en centímetros                                                                            |
| width            | number  | Ancho del producto en centímetros                                                                           |
| depth            | number  | Profundidad del producto en centímetros                                                                     |
| brand            | string  | Marca del producto                                                                                          |
| EAN              | string  | Identificador EAN13 del producto                                                                            |
| UPC              | string  | Identificador UPC del producto                                                                              |
| longDescription  | string  | Descripción larga del producto (default)                                                                    |
| shortDescription | string  | Descripción corta del producto                                                                              |
| baseStock        | integer | Cantidad se inventario base, este se utiliza cuando se genera una nueva publicación                         |
| images           | array   | Array de strings con url de las imágenes                                                                    |

{% tabs %}
{% tab title="200 Producto creado correctamente" %}

```javascript
{
    "productId": 3182093,
    "sku": "AA123",
    "price": 99.99,
    "title": "Olla a presion Gris",
    "ean": null,
    "upc": "41123123",
    "longDescription": "Descripcion larga de prueba",
    "shortDescription": "Descripción corta de prueba",
    "baseStock": 66,
    "images": ["url imagen 1","url imagen 2"],
    "brand": "Greycon",
    "weight": 2400,
    "height": 30,
    "width": 20,
    "depth": 20
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ventiapp.mx/ventiapp/english-api/developers/api/productos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
